%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:   MATE XML documentation utilities
Name:      mate-doc-utils
Version:   1.6.2
Release:   %mkrel 1
License:   GPLv3+
Group:     Graphical desktop/MATE
URL:       http://mate-desktop.org
Source0:   http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
BuildArch: noarch

BuildRequires: docbook-dtd44-xml
BuildRequires: intltool
BuildRequires: mate-common
BuildRequires: libxml2-utils
BuildRequires: xsltproc
BuildRequires: python-libxml2
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(libxslt)
BuildRequires: pkgconfig(rarian)
BuildRequires: libxml2-python
Requires:      xsltproc

%description
mate-doc-utils is a collection of documentation utilities for the MATE
project. Notably, it contains utilities for building documentation and all
auxiliary files in your source tree, and it contains the DocBook XSLT.

%package devel
Summary:  A Collection of Documentation Utilities for MATE
Group:    Development/GNOME and GTK+
Provides: %{name}-devel = %{version}-%{release}
Requires: %{name} = %{version}
Requires: docbook-dtd412-xml
Requires: docbook-dtd44-xml
Requires: libxml2-utils
Requires: mate-common
Requires: gnome-doc-utils

%description devel
This package contains the development files for %{name}.

%prep
%setup -q

%build
%configure2_5x \
    --build=%{_build} \
    --disable-scrollkeeper

%make

%install
%makeinstall_std

%find_lang %{name}
#Remove unnecessary python sitepackages provided by gnome-doc-utils
rm -rf $RPM_BUILD_ROOT/%{python_sitelib}/*
rm -rf $RPM_BUILD_ROOT/%{python_sitelib}/xml2po/
rm -rf %{buildroot}/%{_mandir}/man1/*
rm -rf $RPM_BUILD_ROOT/%{_datadir}/xml/mallard
rm -rf $RPM_BUILD_ROOT/%{_bindir}/xml2po
rm -rf $RPM_BUILD_ROOT/%{_datadir}/pkgconfig/xml2po.pc

%files -f %{name}.lang
%doc AUTHORS ChangeLog README
%{_bindir}/mate-doc-tool
%dir %{_datadir}/mate-doc-utils
%{_datadir}/mate-doc-utils/icons
%{_datadir}/mate-doc-utils/watermarks
%dir %{_datadir}/xml/
%{_datadir}/xml/mate
%{_datadir}/mate/help/


%files devel
%{_bindir}/mate-doc-prepare
%{_datadir}/pkgconfig/*.pc
%{_datadir}/aclocal/*.m4
%{_datadir}/mate-doc-utils/mate-doc-utils.make
%{_datadir}/mate-doc-utils/templates
%{_datadir}/mate-doc-utils/template*.*
%{_datadir}/omf/mate-doc-make/
%{_datadir}/omf/mate-doc-xslt/



%changelog
* Fri Nov 01 2013 tarakbumba <tarakbumba> 1.6.2-1.mga4
+ Revision: 548760
- Updated to latest bugfix version

* Sat Oct 19 2013 umeabot <umeabot> 1.6.1-2.mga4
+ Revision: 531003
- Mageia 4 Mass Rebuild

* Wed Jul 31 2013 malo <malo> 1.6.1-1.mga4
+ Revision: 461576
- fix RPM group

  + tarakbumba <tarakbumba>
    - imported package mate-doc-utils

